Loading...
Searching...
No Matches
concept.hpp File Reference

Provides the concept for seqan3::detail::sdsl_index. More...

`#include <concepts>`
`#include <type_traits>`
`#include <seqan3/contrib/sdsl-lite.hpp>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for search/fm_index/concept.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum | seqan3::text_layout : bool { seqan3::single , seqan3::collection }
| The possible text layouts (single, collection) the seqan3::fm_index and seqan3::bi_fm_index can support. More...

## Detailed Description

Provides the concept for seqan3::detail::sdsl_index.

Author
  Christopher Pockrandt <christopher.pockrandt AT fu-berlin.de>

Hide me